function getNonce()
{
    var chars = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";
    var result = "";
    for (var i = 0; i < 9; ++i) {
        var rnum = Math.floor(Math.random() * chars.length);
        result += chars.substring(rnum, rnum+1);
    }
    return result;
}

function getTime()
{
    return parseInt((new Date).getTime() / 1000);
}

function percentEncodeURI(s) {
    if (s === null) {
        return "";
    }
    return specialCharReplace(encodeURI(s));
}


function percentEncode(s) {
    if (s === null) {
        return "";
    }
    return specialCharReplace(encodeURIComponent(s));
}

function specialCharReplace(s) {
    // Now replace the values which encodeURIComponent doesn't do
    // encodeURIComponent ignores: - _ . ! ~ * ' ( )
    // OAuth dictates the only ones you can ignore are: - _ . ~
    // Source: http://developer.mozilla.org/en/docs/Core_JavaScript_1.5_Reference:Global_Functions:encodeURIComponent
    s = s.replace(/\!/g, "%21");
    s = s.replace(/\#/g, "%23");
    s = s.replace(/\&/g, "%26");
    s = s.replace(/\'/g, "%27");
    s = s.replace(/\(/g, "%28");
    s = s.replace(/\)/g, "%29");
    s = s.replace(/\*/g, "%2A");
    s = s.replace(/\+/g, "%2B");
    return s;
}

function isDefined(obj){
    return (typeof obj !== 'undefined')
}

var dirArray = new Array();
