import QtQuick 1.0

Rectangle {
    id:backgroundRect
    property string name
    property string value

    width:480
    height:90

    color: "#ffffff"

    Item{
        width: 410
        height: (value == "")? topItem.paintedHeight: topItem.paintedHeight + bottomItem.paintedHeight
        anchors.left:parent.left
        anchors.leftMargin: 60
        anchors.verticalCenter: parent.verticalCenter

        Text{
            id:topItem
            font.pointSize: 25
            text:name
        }

        Text{
            id:bottomItem
            anchors.top:topItem.bottom
            anchors.topMargin: 3
            color:"#c1c1c1"
            font.pointSize: 20
            text:value

        }
    }

    Rectangle{
        width:480
        height: 1
        anchors.bottom: parent.bottom
        color:"#f1f1f1"
    }

    function changeColor()
    {
        if(backgroundRect.color == "#ffffff")
            backgroundRect.color = "#e4e4e4";
        else
            backgroundRect.color = "#ffffff";
    }
}
