import QtQuick 1.0
import com.nokia.meego 1.0
Page{
    id:page
    orientationLock: PageOrientation.LockPortrait
    property string name: "splash"

    Rectangle {
        anchors.fill: parent
        color:"#00c3df"
    }

    Image{
        anchors.centerIn: parent
        source:"res/dropsinklogo.png"
    }

    Timer{
        id:splashTime
        interval: 2000
        running: true

        onTriggered: {
            if(db.readFirstTime())
                appState.findPage(mainPage,"mainPage")
            else
                appState.findPage(directoryPage,"directoryPage")
        }
    }


}
