import QtQuick 1.0
import com.nokia.meego 1.0

QueryDialog{
    property string dialogMessage:"";

    Item{

        width: 470
        height: loadingImg.height+ downloadText.paintedHeight+description.paintedHeight+50


        anchors.centerIn: parent
        //anchors.verticalCenterOffset: -150

        Image{
            id:loadingImg
            anchors.top: parent.top
            anchors.horizontalCenter: parent.horizontalCenter
            source:"res/preloader.png"
            smooth: true

            RotationAnimation on rotation {
                id:myRotate
                loops: Animation.Infinite
                from: 0
                to: 360
                running: true
                duration: 1500
            }
        }

        Text{
            id:downloadText
            anchors.top: loadingImg.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            color: "white"
            font.pointSize: 20
            font.bold: true
            text:"Upload In Progress"
        }

        Text{
            id:description
            anchors.top: downloadText.bottom
            anchors.topMargin: 5
            anchors.horizontalCenter: parent.horizontalCenter
            color: "white"
            font.pointSize: 15
            textFormat: Text.RichText
            text:"<center>"+dialogMessage+"</center>"
        }
    }
}

