import QtQuick 1.0

Image{
    id:loadingIndicator
    property bool show: false
    anchors.centerIn: parent
    source: "res/preloader-2.png"
    smooth: true

    RotationAnimation on rotation {
        id:myRotate
        loops: Animation.Infinite
        from: 0
        to: 360
        running: (loadingIndicator.show)? true:false
        duration: 1500
    }

    visible: (show)? true: false
}

